Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618795 - pulp packagegroup create failing with traceback
pulp packagegroup create failing with traceback
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Retired
Component: z_other (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
Preethi Thomas
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 14:28 EDT by Preethi Thomas
Modified: 2011-07-15 15:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 12:11:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2010-07-27 14:28:29 EDT
Description of problem:


[root@preethi ~]# pulp packagegroup create --repoid=f13 --id=test1 --name=test1
"Traceback (most recent call last):\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/base.py\", line 47, in report_error\n    return method(self, *args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/repositories.py\", line 346, in POST\n    return action(id)\n  File \"/usr/lib/python2.6/site-packages/pulp/webservices/controllers/repositories.py\", line 316, in create_packagegroup\n    descrp))\n  File \"/usr/lib/python2.6/site-packages/pulp/auditing.py\", line 150, in _audit\n    result = method(*args, **kwargs)\n  File \"/usr/lib/python2.6/site-packages/pulp/api/repo.py\", line 259, in create_packagegroup\n    self.update(repo)\n  File \"/usr/lib/python2.6/site-packages/pulp/auditing.py\", line 159, in _audit\n    _record_event()\n  File \"/usr/lib/python2.6/site-packages/pulp/auditing.py\", line 140, in _record_event\n    _objdb.insert(event, safe=False, check_keys=False)\n  File \"/usr/lib64/python2.6/site-packages/pymongo/collection.py\", line 245, in insert\n    message.insert(self.__full_name, docs, check_keys, safe), safe)\nInvalidDocument: document too large - BSON documents are limited to 4 MB\n"
[root@preethi ~]#
Comment 1 Preethi Thomas 2010-07-27 14:29:02 EDT
[root@preethi ~]# rpm -qa |grep pulp
pulp-tools-0.0.41-1.git.13.df62a05.fc13.noarch
pulp-0.0.41-1.git.13.df62a05.fc13.noarch
Comment 2 Pradeep Kilambi 2010-08-17 10:31:46 EDT
this should be fixed. please retest
Comment 3 Shveta 2010-08-18 07:28:45 EDT
[root@fedora12g2 grinder]# pulp-admin -u admin -p admin packagegroup create --repoid=TAKE3rhel-i386-server-5 --id=01 --name=packgname
+-------------------------------------------+
Package Group [01] created in repository [TAKE3rhel-i386-server-5]
+-------------------------------------------+
Comment 4 Preethi Thomas 2010-10-20 12:11:15 EDT
Closed after review.

Note You need to log in before you can comment on or make changes to this bug.